Group Member

  • GET
  • /workspaces
  • /:workspace
  • /groups
  • /:group_id
  • /members
  • /:member_id

Returns a single member of a user group

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

group_idrequiredinteger
The ID of the group

Example: 123

member_idrequiredinteger
The ID of the member

Example: 216

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
adminboolean
Whether the user has admin privileges
workspace_ownerboolean
Whether the user is workspace owner
statusstring enum
The status of the group member
Allowed enum:
MEMBER,
MANAGER

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/groups/:group_id/members/:member_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/groups/123/members/216", "html_url": "https://app.buddy.works/my-workspace/-/profile/216", "id": 216, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/avatar.png", "email": "john.doe@example.com", "admin": false, "workspace_owner": false, "status": "MEMBER" }
STATUS
200 OK